
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #380

Scrobbling fails when track number is not set

December 11, 2013 20:51 - Sylwester B

Status: Closed Start date: December 11, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/scrobbler2 Estimated time: 0.00 hour

Target version: 3.5   

Affects version: 3.4.3   

Description

If any song don't have set id in album scrobbler send to last.fm irrcorect value trackNumber (set as -1) this situation make error :

main.c:532 [main]: Startup complete.

scrobbler_xml_parsing.c:11 [prepare_data]: Data received from last.fm:

<?xml version="1.0" encoding="utf-8"?>

<lfm status="failed">

<error code="6">

trackNumber must be a non negative integer

</error>

</lfm>

History

#1 - December 15, 2013 12:40 - Luís Picciochi

I couldn't reproduce this. Do you confirm you are using the 3.5 (development) version?

Can you please show the output of a program like mp3info over the file in question?

mp3info track.mp3

 

Thanks.

#2 - December 23, 2013 01:46 - Sylwester B

mp3info make information :

does not have an ID3 1.x tag.

#3 - December 23, 2013 01:56 - Sylwester B

This output is bad because all my files have tags (incomplete but write standard data e.g track name, artist and album name) and Tracklist manager

detect this tags when I refreshing or add new file

#4 - December 24, 2013 01:01 - Sylwester B

Bug Solved in https://github.com/sylwke3100/audacious-plugins/commit/570dc550058b562d421aaceb4b1228a7c671da88

#5 - January 19, 2014 02:10 - John Lindgren

May 03, 2025 1/2

https://github.com/sylwke3100/audacious-plugins/commit/570dc550058b562d421aaceb4b1228a7c671da88


- Subject changed from Irrcorrect send value trackNumber to Scrobbling fails when track number is not set

- Status changed from New to Closed

- Assignee deleted (Luís Picciochi)

- Target version set to 3.5

- % Done changed from 0 to 100

- Affects version 3.4.3 added

- Affects version deleted (3.5)

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/da5f962feaccb968327e833ed0172ab8dad69110
